---
title: '<xsl:apply-imports>'
slug: Web/XSLT/Element/apply-imports
tags:
  - Element
  - Reference
  - XSLT
  - apply-imports
---
<p>{{ XsltRef() }}</p>

<p>The <code>&lt;xsl:apply-imports&gt;</code> element is fairly arcane, used mostly in complex stylesheets. Import precedence requires that template rules in main stylesheets have higher precedence than template rules in imported stylesheets. Sometimes, however, it is useful to be able to force the processor to use a template rule from the (lower precedence) imported stylesheet rather than an equivalent rule in the main stylesheet.</p>

<h3 id="Syntax">Syntax</h3>

<pre>&lt;xsl:apply-imports/&gt;</pre>

<h3 id="Required_Attributes">Required Attributes</h3>

<p>None.</p>

<h3 id="Optional_Attributes">Optional Attributes</h3>

<p>None.</p>

<h3 id="Type">Type</h3>

<p>Instruction, appears within a template.</p>

<h3 id="Defined">Defined</h3>

<p>XSLT, section 5.6.</p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
